# -*- coding: utf-8 -*-
"""
Tests for dark template.
"""
from micado.main.ObservingBlock import ObservingBlock
from micado.templates.MCD_img_cal_dark import MCD_img_cal_dark


def test_dark():
    """
    Test generation of dark template and OB.
    """

    dark_template = MCD_img_cal_dark()
    dark_template.dit = 10

    ob = ObservingBlock()
    ob.name = "MyDarkTest"
    ob.templates = [dark_template]

    ob.commit()
